### Method

# Clutter Path foreach

#### Declaration [src]

    void
    clutter_path_foreach (
      ClutterPath* path,
      ClutterPathCallback callback,
      gpointer user_data
    )

#### Description [src]

Calls a function for each node of the path.

#### Parameters

`callback`

  Type: `ClutterPathCallback`

  The function to call with each node.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.